Skip to main content

Resume Campaign

Resume a paused campaign. If no emails had been sent before pausing, the campaign reverts to DRAFT. Otherwise, it re-enters the QUEUED state.


Endpoint

POST https://api.campaignlark.com/v1/campaigns/:id/resume

Path Parameters

ParameterTypeRequiredDescription
idstringrequiredThe campaign ID.

Sample Request

POST https://api.campaignlark.com/v1/campaigns/64f1a2b3c4d5e6f7a8b9c0d1/resume

Response

Success — 200 OK

{
"error": null,
"data": {
"id": "64f1a2b3c4d5e6f7a8b9c0d1",
"status": "QUEUED"
}
}

The status will be QUEUED if emails had been sent, or DRAFT if no emails were sent before pausing.


Errors

StatusMessageCause
400Please provide a campaign ID.id path param is missing.
400Campaign not foundCampaign does not exist.
400The campaign cannot be resumed. It may not exist or is not paused.Campaign is not in PAUSED status.